
QGIS Application - Bug report #12785

Adding spatialite layer to project data gets corrupted(?)

2015-05-20 04:56 AM - gontran casella

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/SpatiaLite

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20884

Description

New description:

--------------

Take the attached SL database, examine the "test" table with DB Manager, it has a "Identifiant_EVV" integer column with positive values.

Add the layer to QGIS project (with DB manager, the Add SL layer dialog, QGIS browser or else) and the table of attributes will show

different (negative) values.

--------------

Old Description:

importing data into Qsartialite with the "load in QGIS" converts some data

Related issues:

Related to QGIS Application - Bug report # 12325: Integer fields converted to... Closed 2015-03-06

Associated revisions

Revision b7363170 - 2015-06-09 11:12 PM - Jürgen Fischer

spatialite provider: load 64bit integers (fixes #12785)

Revision 391e99c7 - 2015-06-29 06:50 PM - Jürgen Fischer

spatialite provider: load 64bit integers (fixes #12785)

(cherry picked from commit b736317005c2417ffc037bbc3969a2b180c49dd7)

History

#1 - 2015-05-20 07:04 AM - Saber Razmjooei

Something wrong with your table. Here is ogrinfo output:

ERROR 1: Unable to query table draaf082014 for column definitions : no such table: draaf082014.

ERROR 1: Unable to query table parcelle for column definitions : no such table:parcelle.

ERROR 1: Unable to query table draaf for column definitions : no such table: draaf.

#2 - 2015-05-20 07:23 AM - gontran casella

this is not the troubleshooting, data (1 GB). This is an extraction(mydraaf.sqlite).
The problem is that the information in the database are transformed when asked display in QGIS.

#3 - 2015-05-20 07:58 AM - Saber Razmjooei

- Category changed from C++ Plugins to Data Provider

#4 - 2015-05-20 08:00 AM - Saber Razmjooei

- Target version changed from Future Release - High Priority to Future Release - Lower Priority

- Operating System changed from w to Windows

Could you copy some of the error messages you get from QGIS log message.

Also could you run ogrinfo on the master file and post the output here.

#5 - 2015-05-20 08:20 AM - gontran casella

- File test_qgis.bmp added

this is not an error but rather a data transformation

test_qgis.bmp

#6 - 2015-05-20 08:25 AM - Saber Razmjooei

- Status changed from Open to Feedback

Are you sure the CRS is set correctly?

#7 - 2015-05-20 08:32 AM - gontran casella

the plots are good, that is the data paths (identifiant_EVV) is false

#8 - 2015-05-20 08:51 AM - Giovanni Manghi

isn't this about a 3rd party plugin?

#9 - 2015-05-20 09:48 AM - gontran casella

The same problem arises when inserting a layer qspartialite

#10 - 2015-05-20 10:03 AM - Giovanni Manghi

gontran casella wrote:

The same problem arises when inserting a layer qspartialite
if the issue is about the "qspatialite" plugin it should be moved here

https://github.com/romain974/qspatialite/issues

please confirm.

#11 - 2015-05-20 10:12 AM - gontran casella

can be, but this happens on own base QSLITE I carry directly with the function add a layer startialite

#12 - 2015-05-20 10:21 AM - gontran casella

a question:

My problem you play on your computer or server?

#13 - 2015-05-21 01:24 AM - Giovanni Manghi

- Category changed from Data Provider to Data Provider/SpatiaLite

- Status changed from Feedback to Open

- Operating System deleted (Windows)

- Affected QGIS version changed from 2.8.2 to master

- OS version deleted (7)

- Subject changed from qspatialite import data to qgis to Adding spatialite layer to project data gets corrupted(?)

#14 - 2015-05-21 01:28 AM - gontran casella

all versions are affected

#15 - 2015-06-09 02:12 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"b736317005c2417ffc037bbc3969a2b180c49dd7".

Files

myDBdraaf.sqlite 4.22 MB 2015-05-20 gontran casella

test_qgis.bmp 2.17 MB 2015-05-20 gontran casella
